Subject: Re: [PATCH v2 net-next 3/6] sfc: optional logging of TC offload errors

From: Jakub Kicinski <[email-masked]>
Date: Fri, 30 Sep 2022 07:19:51 -0700

On Fri, 30 Sep 2022 10:03:01 +0100 Edward Cree wrote:
> On 29/09/2022 02:15, Jakub Kicinski wrote:
> > Hm. I wonder if throwing a tracepoint into the extack setting
> > machinery would be a reasonable stop gap for debugging.  
> 
> It has one (do_trace_netlink_extack()), but sadly that won't play
>  so well with formatted extacks since AIUI trace needs a constant
>  string (I'm just giving it the format string in my prototype).
> But yeah it's better than nothing.

We can add a new one which copies the data. Presumably we'd have a "set
an extack msg which needs to be freed" helper were we could place it?
It'd mean we cut off at a static length but good enough, I say.